Package io.vertx.reactivex.ext.web.handler

## Class RedirectAuthHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.RedirectAuthHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `AuthenticationHandler`

      public class RedirectAuthHandler
      extends Object
      implements AuthenticationHandler, Handler<RoutingContext>

  An auth handler that's used to handle auth by redirecting user to a custom login page.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RedirectAuthHandler>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_LOGIN_REDIRECT_URL` | Default path the user will be redirected to
    `static String` | `DEFAULT_RETURN_URL_PARAM` | Default name of param used to store return url information in session

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedirectAuthHandler​(RedirectAuthHandler delegate)` |
    `RedirectAuthHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider)` | Create a handler
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider, String loginRedirectURL)` | Create a handler
    `static RedirectAuthHandler` | `create​(AuthenticationProvider authProvider, String loginRedirectURL, String returnURLParam)` | Create a handler
    `boolean` | `equals​(Object o)` |
    `RedirectAuthHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static RedirectAuthHandler` | `newInstance​(RedirectAuthHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedirectAuthHandler> __TYPE_ARG

    - #### DEFAULT_LOGIN_REDIRECT_URL

          public static final String DEFAULT_LOGIN_REDIRECT_URL

      Default path the user will be redirected to
      See Also:
        Constant Field Values

    - #### DEFAULT_RETURN_URL_PARAM

          public static final String DEFAULT_RETURN_URL_PARAM

      Default name of param used to store return url information in session
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RedirectAuthHandler

          public RedirectAuthHandler​(RedirectAuthHandler delegate)

    - #### RedirectAuthHandler

          public RedirectAuthHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedirectAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static RedirectAuthHandler create​(AuthenticationProvider authProvider)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
      Returns:
        the handler

    - #### create

          public static RedirectAuthHandler create​(AuthenticationProvider authProvider,
                                                   String loginRedirectURL)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
      Returns:
        the handler

    - #### create

          public static RedirectAuthHandler create​(AuthenticationProvider authProvider,
                                                   String loginRedirectURL,
                                                   String returnURLParam)

      Create a handler
      Parameters:
        `authProvider` - the auth service to use
        `loginRedirectURL` - the url to redirect the user to
        `returnURLParam` - the name of param used to store return url information in session
      Returns:
        the handler

    - #### newInstance

          public static RedirectAuthHandler newInstance​(RedirectAuthHandler arg)